System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.PeerResolverBindingElement

To create a peer resolver from an instance of this class, call after the instance has been constructed.

Defines the binding element used to create a Peer Name Resolution Protocol (PNRP) peer resolver.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method can be used to get a channel factory for sending messages based on the configuration of the transport binding element.

  Creates a channel factory that can be used to create a channel for sending messages.

  that contains the new channel factory of the specified type.

  that specifies the binding context for the channel factory. The type of channel to produce.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method can be used to get a channel listener for receiving messages based on the configuration of the transport binding element.

  Creates a channel listener of the specified type for receiving messages.

  that contains the new channel listener of the specified type.

  that specifies the binding context for the channel listener. that specifies the type of the channels to produce.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement

  The object returned by this method can be reboxed as an object of the more specific type.

  Creates a new instance that is a copy of the current binding element.

  A new that contains a copy of the current binding element.

- Method
  4.0.0.0
  System.ServiceModel.PeerResolver To be added.

  Creates a PNRP-specific instance.

  object that contains the new PNRP resolver created by this binding element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint `` To be added.

  Returns a property from the specified object.

  The property from the specified .

  that specifies the binding context. The specific property to obtain from the binding context.
- Property
  4.0.0.0
  System.ServiceModel.PeerResolvers.PeerReferralPolicy To be added. To be added.

  Gets and sets the referral policy for the PNRP peer resolver created by this binding element.